<?php // no direct access 
defined( '_JEXEC' ) or die( 'Restricted access' ); 
$showLeftColumn = (bool) $this->countModules('left');
$showRightColumn = (bool) $this->countModules('right');
$showRightColumn &= JRequest::getCmd('layout') != 'form';
$showRightColumn &= JRequest::getCmd('task') != 'edit';
$margin = 30;
$outermargin = 0;
$logoText	= $this->params->get("logoText");
$pageWidth	= $this->params->get("pageWidth", "960");
$pageWidth	= $pageWidth - $outermargin;
$rightColumnWidth	= $this->params->get("rightColumnWidth", "200");
$leftColumnWidth	= $this->params->get("leftColumnWidth", "200");
$logoWidth	= $this->params->get("logoWidth", "250");

$headerrightWidth = $pageWidth - $logoWidth - $margin;

if ($showLeftColumn && $showRightColumn) {
   $contentWidth = $pageWidth - $leftColumnWidth - $rightColumnWidth - 3*$margin;
} elseif (!$showLeftColumn && $showRightColumn) {
   $contentWidth = $pageWidth - $rightColumnWidth - 2*$margin ;
} elseif ($showLeftColumn && !$showRightColumn) {
   $contentWidth = $pageWidth - $leftColumnWidth - 2*$margin ;
} else {
   $contentWidth = $pageWidth - $margin ;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >

<head>
<jdoc:include type="head" />
<link rel="stylesheet" href="templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/blue.css" type="text/css" />
<!--[if IE 6]>
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/ie6.css" type="text/css" />
<style type="text/css">
img, div, a, input { behavior: url(templates/<?php echo $this->template ?>/iepngfix.htc) }
</style>
<script src="templates/<?php echo $this->template ?>/js/iepngfix_tilebg.js" type="text/javascript"></script>
<![endif]-->
<!--[if lte IE 7]>
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/ie67.css" type="text/css" />
<![endif]-->

<style type="text/css">
 #logo {
    width:<?php echo $logoWidth; ?>px;
 }
 #headerright {
    width:<?php echo $headerrightWidth; ?>px;
 } 
</style>
</head>
<body>


<div id="allwrap" class="gainlayout" style="width:<?php echo $pageWidth + $outermargin; ?>px;">

  <div id="header" class="gainlayout">   
      <div id="logo">
         <h1><a href="<?php echo JURI::base(); ?>" title="<?php echo $logoText; ?>"><?php echo $logoText; ?></a></h1>
      </div>
	  <div id="headerright" class="gainlayout"> 

         <div id="topmenu" class="gainlayout">
		   <?php if($this->countModules('user3')) : ?>
             <jdoc:include type="modules" name="user3" style="xhtml" />
           <div class="clr"></div>
           <?php endif; ?>
	     </div> 

        <div class="clr"></div>
      </div>
      <div class="clr"></div>
  </div>

  <div id="wrap" class="gainlayout">
  <div id="cbody" class="gainlayout">
  <?php if($showLeftColumn) : ?>
  <div id="sidebar" style="width:<?php echo $leftColumnWidth; ?>px;">     
      <jdoc:include type="modules" name="left" style="xhtml2" />    
  </div>
  <?php endif; ?>
  <div id="content60" style="width:<?php echo $contentWidth; ?>px;">     
      <div id="content">
	  <?php if($this->countModules('breadcrumb')) : ?>
	    <div id="pathway" class="gainlayout">
           <jdoc:include type="module" name="breadcrumbs" style="none" />
        </div>
      <?php endif; ?> 		
	  <?php if ($this->getBuffer('message')) : ?>
				<div class="error">
					<h2>
						<?php echo JText::_('Message'); ?>
					</h2>
					<jdoc:include type="message" />
				</div>
	  <?php endif; ?>
      <jdoc:include type="component" /> 
      </div>    
  </div>
  <?php if($showRightColumn) : ?>
  <div id="sidebar-2" style="width:<?php echo $rightColumnWidth; ?>px;">     
      <jdoc:include type="modules" name="right" style="xhtml2" />     
  </div>
  <?php endif; ?>
  <div class="clr"></div>
  </div>
<!--end of wrap-->
</div>
  <?php if($this->countModules('footer')) : ?>
    <div id="footer" class="gainlayout">     
        <jdoc:include type="modules" name="footer" style="xhtml" />    
    </div>
  <?php endif; ?>
  <div id="a4j"><a href="http://a4joomla.com/">Joomla templates by a4joomla</a></div> 
<!--end of allwrap-->
</div>

</body>
</html>
